
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DZNEmptyDataSet 使用 / 憋错料</title>

    <meta name="description" content="DZNEmptyDataSet 使用 gitHub地址:https://github.com/dzenbot/DZNEmptyDataSet 效果图: 代码: #import &quot;UIScrollView+EmptyDataSet.h&quot; @interface DZNEmptyDataSetViewController ()&lt;UITableViewDelegate,UITableViewDataSource,DZNEmptyDataSetSource,DZNEmptyDataSetDelegate&gt; @p ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">DZNEmptyDataSet 使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>gitHub地址：https://github.com/dzenbot/DZNEmptyDataSet</p>
<p>效果图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzgzODY0My8yMDE3MDcvODM4NjQzLTIwMTcwNzI0MTcyNTU3MTk5LTE2NDE3NzAxMzIucG5n.jpg"></p>
<p>代码：</p>
<pre>#import "UIScrollView+EmptyDataSet.h"
@interface DZNEmptyDataSetViewController ()&lt;UITableViewDelegate,UITableViewDataSource,DZNEmptyDataSetSource,DZNEmptyDataSetDelegate&gt;
@property(nonatomic,strong)UITableView *tableView;
@property(nonatomic,strong)NSMutableArray *dataArr;
@end

@implementation DZNEmptyDataSetViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.view addSubview:self.tableView];

    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    self.tableView.emptyDataSetSource = self;
    self.tableView.emptyDataSetDelegate = self;

      self.tableView.tableFooterView = [UIView new];

    [self.tableView registerClass:[UITableViewCell class]  forCellReuseIdentifier:@"cell"];

}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return self.dataArr.count;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
    cell.textLabel.text = self.dataArr[indexPath.row];
    return cell;
}

#pragma mark DZNEmptyDataSetSource,DZNEmptyDataSetDelegate
//数据为空的时候添加图片提醒
- (UIImage *)imageForEmptyDataSet:(UIScrollView *)scrollView
{
    return [UIImage imageNamed:@"ip_txt"];
}
//数据为空文字提醒
- (NSAttributedString *)titleForEmptyDataSet:(UIScrollView *)scrollView
{
    NSString *text = @"加载失败请重试";

    NSDictionary *attributes = @{NSFontAttributeName: [UIFont boldSystemFontOfSize:18.0f],
                                 NSForegroundColorAttributeName: [UIColor darkGrayColor]};

    return [[NSAttributedString alloc] initWithString:text attributes:attributes];
}

//数据为空的背景
- (UIColor *)backgroundColorForEmptyDataSet:(UIScrollView *)scrollView
{
    return [UIColor whiteColor];
}

//为空的时候添加一个风火轮
/*
- (UIView *)customViewForEmptyDataSet:(UIScrollView *)scrollView
{
    UIActivityIndicatorView *activityView = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleGray];
    [activityView startAnimating];
    return activityView;
}
*/
//如果tableveiw有tableHeaderView，可以自定义展示文字的位置
- (CGFloat)verticalOffsetForEmptyDataSet:(UIScrollView *)scrollView
{
    return -self.tableView.tableHeaderView.frame.size.height/1.0f;
}

- (CGFloat)spaceHeightForEmptyDataSet:(UIScrollView *)scrollView
{
    return 20.0f;
}
- (BOOL) emptyDataSetShouldAllowImageViewAnimate:(UIScrollView *)scrollView
{
    return false;
}
- (void)emptyDataSet:(UIScrollView *)scrollView didTapView:(UIView *)view
{
    [self.dataArr addObject:@"2"];
    [self.tableView reloadData];
    // Do something
}

-(UITableView *)tableView{
    if(!_tableView){
        _tableView = [[UITableView alloc]initWithFrame:self.view.bounds style:UITableViewStylePlain];
    }
    return _tableView;
}

-(NSMutableArray *)dataArr{
    if(!_dataArr){
        _dataArr = [NSMutableArray array];
    }
    return _dataArr;
}

@end
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 13:27:32 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/highlight/" title="highlight">highlight</a>, <a href="https://www.biecuoliao.com/tag/%e5%9c%b0%e5%9d%80/" title="地址">地址</a>, <a href="https://www.biecuoliao.com/tag/ber/" title="ber">ber</a>, <a href="https://www.biecuoliao.com/tag/nat/" title="nat">nat</a>, <a href="https://www.biecuoliao.com/tag/number/" title="number">number</a>, <a href="https://www.biecuoliao.com/tag/oid/" title="oid">oid</a>, <a href="https://www.biecuoliao.com/tag/atomic/" title="atomic">atomic</a>, <a href="https://www.biecuoliao.com/tag/reload/" title="reload">reload</a>, <a href="https://www.biecuoliao.com/tag/%e6%b7%bb%e5%8a%a0%e5%9b%be%e7%89%87/" title="添加图片">添加图片</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>DZNEmptyDataSet 使用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35wB2nM.html" rel="bookmark">DZNEmptyDataSet框架简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				给大家推荐一个设置页面加载失败时显示加载失败等的框架. 下载地址:DZNEmptyDataSet https://github.com/dzenbot/DZNEmptyDataSet 上效果首先在你的ViewController里面导入#import &quot;UIScrollView+EmptyDataSet.h&quot;遵守 &lt;DZNEmptyDataSetSource, DZNEmptyDataSetDelegate&gt; 协议 `@interface MainViewControlle			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41KmkP0.html" rel="bookmark">DZNEmptyDataSet&mdash;&mdash;空白数据集显示框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GitHub地址:DZNEmptyDataSet star:9000+ ?????? 以下内容来源于官方源码. README 文档.测试 Demo 以及个人使用总结 ! [TOC] DZNEmptyDataSet DZNEmptyDataSet 是基于 UITableView/UICollectionView 的范畴/扩展(category)类,它可以在空白页面上显示提示信息. 这是 iOS 内建的标准,用于处理空表和集合视图.默认情况下,如果你的表视图是空的,屏幕上什么也不会显示,它给用户的体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/gMWYym3.html" rel="bookmark">整理第三方类库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网络 AFNetworking:mattt大神的网络事件处理框架. XMPPFramework:XMPP,主要用于即时通讯. CocoaAsyncSocket:异步socket请求框架. Reachability:用来检查应用当前的网络连接状况,是苹果Reachability类的直接替代品,支持ARC,支持block,使用GCD方法来通知网络接口的变化. SocketRocket:WebSocket协议是一种网络协议,它的Web设计实现了浏览器与服务器的双向通讯.通过使用WebSockets,你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/yMX1vX0.html" rel="bookmark">自己总结的 iOS  &comma;Mac  开源项目以及库&comma;知识点------持续更新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自己在 git  上看到一个非常好的总结的东西,但是呢, fork  了几次,就是 fork  不到我的 git 上,干脆复制进去,但是,也是认真去每一个每一个去认真看了,并且也是补充了一些,感觉非常棒,所以好东西要分享,为啥用 CN 博客,有个好处,可以随时修改,可以持续更新,不用每次都要再发表,感觉这样棒棒的 我们 自己总结的iOS.mac开源项目及库,持续更新.... github排名 https://github.com/trending,github搜索:https://github.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/yMXKlV4.html" rel="bookmark">【转】超全！整理常用的iOS第三方资源 -- 不错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文网址:http://www.cocoachina.com/ios/20160121/14988.html 一:第三方插件 1:基于响应式编程思想的oc 地址:https://github.com/ReactiveCocoa/ReactiveCocoa 2:hud提示框 地址:https://github.com/jdg/MBProgressHUD 3:XML/HTML解析 地址:https://github.com/topfunky/hpple 4:有文字输入时,能根据键盘是否弹出来调整自身			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWyyor3.html" rel="bookmark">关于目前自己iOS项目使用的第三方开源库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.AFNetworking 目前比较推荐的iOS网络请求组件,默认网络请求是异步,通过block回调的方式对返回数据进行处理. 2.FMDB 对sqlite数据库操作进行了封装,demo也比较简单. 3.MBProgressHUD 也是iOS项目常用的一个组件,用于显示过渡效果的,比如网络请求之前显示loading,网络结束隐藏loading.建议封装在BaseViewController中,所有ViewController继承就能使用. 4.MJRefresh 这个是传智播客李明杰老师的作品			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQ9zn3.html" rel="bookmark">iOS常用第三方框架大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常用第三方 今天就给大家总结一下,我们在项目中用到最多的第三方,免去了大家花时间去搜索,在这里大家进行了全面的总结. 1. 编程框架 1:基于响应式编程思想的oc 地址:https://github.com/ReactiveCocoa/ReactiveCocoa 2:iOS快速简单集成国内三大平台分享 地址:https://github.com/xumeng/XMShareModule 2. 加载提示 1:hud提示框 地址:https://github.com/jdg/MBProgressHU			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz8yd23.html" rel="bookmark">超全！整理常用的iOS第三方资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				超全!整理常用的iOS第三方资源 一:第三方插件 1:基于响应式编程思想的oc 地址:https://github.com/ReactiveCocoa/ReactiveCocoa 2:hud提示框 地址:https://github.com/jdg/MBProgressHUD 3:XML/HTML解析 地址:https://github.com/topfunky/hpple 4:有文字输入时,能根据键盘是否弹出来调整自身显示内容的位置 地址:https://github.com/michaelt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPd9NaM.html" rel="bookmark">iOS、mac开源项目及库汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UI 下拉刷新 EGOTableViewPullRefresh – 最早的下拉刷新控件. SVPullToRefresh – 下拉刷新控件. MJRefresh – 仅需一行代码就可以为UITableView或者CollectionView加上下拉刷新或者上拉刷新功能.可以自定义上下拉刷新的文字说明.具体使用看“使用方法”. (国人写) XHRefreshControl – XHRefreshControl 是一款高扩展性.低耦合度的下拉刷新.上提加载更多的组件.(国人写) CBStoreHou			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QgwE0.html" rel="bookmark" class="title">想了解APT与加密勒索软件&quest;那这篇文章你绝不能错过</a>
					<div>
						目前全球APT攻击趋势如何?针对APT攻击,企业应如何防护?针对最普通的APT攻击方式加密勒索软件,现今有何对策?带着这些疑问,记者采访到APT攻击方面的安全专家,来自亚信安全的APT治理战略及网关产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0anYg3.html" rel="bookmark" class="title">&lbrack;ZigBee&rsqb; 12、ZigBee之看门狗定时器&mdash;&mdash;饿了就咬人的GOOD DOG</a>
					<div>
						引言:硬件中的看门狗,不是门卫的意思,而是一只很凶的狗!如果你不按时喂它,它就会让系统重启!这反而是我们想要的功能~ 1.看门狗概述 看门狗定时器(WDT,Watch Dog Timer)是单片机的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2wEw3.html" rel="bookmark" class="title">BZOJ 4407 于神之怒加强版</a>
					<div>
						题目链接:于神之怒加强版 这个式子还是很妙的,只是我已经思维僵化了 \begin{aligned} &amp;\sum_{i=1}^n\sum_{j=1}^m\gcd(i,j)^k \\=&amp;\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqzgg0.html" rel="bookmark" class="title">初始化构造函数中定义的实体集合，方便嵌套类型的遍历</a>
					<div>
						class Programs { public static void OP() { Student[] stuinfo = new Student[] { new Student(&quot;HB0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MB17WY4.html" rel="bookmark" class="title">存储过程运行日志记录通用模块</a>
					<div>
						目标 实现记录执行存储过程的开始时间,结束时间,运行状态,错误信息等,以函数封装日志记录的方式,存储调用函数 源码 存储过程模版 CREATE OR REPLACE PROCEDURE proc_xx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDvVz3.html" rel="bookmark" class="title">iOS&colon; ARC &amp;amp&semi; MRC下string内存管理策略探究</a>
					<div>
						ARC &amp; MRC下string内存管理策略探究 前两天跟同事争论一个关于NSString执行copy操作以后是否会发生变化,两个人整了半天,最后写代码验证了一下,发现原来NSString操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARWmgM.html" rel="bookmark" class="title">redis简介及安装</a>
					<div>
						1 redis简介及安装 1.1 Redis是什么 REmote DIctionary Server(Redis) 是一个由Salvatore Sanfilippo写的key-value存储系统. 首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKAGV3.html" rel="bookmark" class="title">老猫总结的如何发布文件到手机中</a>
					<div>
						FireMonkey[移动开发] 165232328的群主老猫总结的如何发布文件到手机中,非常实用,转贴过来.这个群在老猫的管理下,有大量关于利用delphi开发app可能遇到的问题的解决方法,经验, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgP2zK0.html" rel="bookmark" class="title">程序猿生存定律--成长路上常见的坑&lpar;2&rpar;</a>
					<div>
						程序猿生存定律这系列的文件夹在这里:程序猿生存定律--文件夹 喜欢从头瞄的,能够移步. -------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65VeJ4.html" rel="bookmark" class="title">OAF中多语言的实现&lpar;转&rpar;</a>
					<div>
						正好前两天研究过这个问题,分享一下啊. 标题:        OAF中多语言的实现概述:        OAF的多语言的实现有两种方式,其一是直接通过页面上面的“个性化”连接,连接到指定的页面后,进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvrd83.html" rel="bookmark" class="title">React Native组件生命周期</a>
					<div>
						概述 所谓生命周期,就是一个对象从开始生成到最后消亡所经历的状态,理解空间的生命周期,是开发中必须掌握的一个知识点.就像 Android 开发中组件 一样,React Native的组件也有生命周期( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvokn3.html" rel="bookmark" class="title">a&sol;b &plus; c&sol;d（杭电2503）</a>
					<div>
						/*a/b + c/d Problem Description 给你2个分数,求他们的和.并要求和为最简形式. Input 输入首先包括一个正整数T(T&lt;=1000),表示有T组測试数据,然后是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLY1W4.html" rel="bookmark" class="title">实现脚本的异步载入和执行</a>
					<div>
						function loadasync(url){ var head = document.getElementsByTagName(&quot;head&quot;)[0]; var s = docu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezdXD3.html" rel="bookmark" class="title">启动嵌入式间：资源有限的系统启动</a>
					<div>
						启动一个程序,它是在芯片上电复位,以执行,块独立于操作系统而在.由于操作系统须要通过启动这个模块来载入和引导的.所以启动的英文术语是boot loader.我对boot loader的定义包含两部分: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klVOL3.html" rel="bookmark" class="title">求二叉树中最多的黑色节点</a>
					<div>
						Problem: given a tree, color nodes black as many as possible without coloring two adjacent nodes   思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NQJmV3.html" rel="bookmark" class="title">博客园博客书写技巧 是自己的博客签名换行</a>
					<div>
						1.博客签名换行的代码 2.效果 3.好玩吧. HTML+CSS,要学习.HTML5+CSS3,更要学习.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGnp1Q4.html" rel="bookmark" class="title">外包网站</a>
					<div>
						『从数量来说猪八戒毫无疑问是当中的王者,几乎占了总数的一半,但是数量虽多质量却一般,其中有大量的非理性甚至异想天开不能实现的需求.需求整体价格偏低,性价比相当不怎么样,大部分程序员反应在猪八戒上做私活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLQA2A0.html" rel="bookmark" class="title">Swift 2&period;0学习笔记（Day 37）&mdash;&mdash;默认构造函数</a>
					<div>
						Swift 2.0学习笔记(Day 37)--默认构造函数原创文章,欢迎转载.转载请注明:关东升的博客 结构体和类的实例在构造过程中会调用一种特殊的init方法,称为构造函数.构造函数没有返回值,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jadEAM.html" rel="bookmark" class="title">Express 4 更新改变文档</a>
					<div>
						概览 从 Express 3 到Express 4 是一个巨大的变化,这意味着现存的 Express 3 应用在不更新依赖的情况下将不能工作. 这篇文章涵盖一下内容: Express 4 中的变化 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35pW9v0.html" rel="bookmark" class="title">POJ3469&lowbar;Dual Core CPU&lpar;网络流&sol;最小割&equals;最大流&sol;模版&rpar;----Dinic模版2&period;0</a>
					<div>
						解题报告 题目传送门 题意: 双核CPU,n个模块,每个模块必须运行在某个CPU核心上,每个模块在cpu单核的消耗A和B,M对模块要共享数据,如果在同一个核心上不用消耗,否则需要耗费.安排N个模块,使 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
